Cluster-wide node actions
Perform a power/lifecycle action (start, shutdown, power_off, reboot, reset)
on all nodes in a cluster. Partial success returns HTTP 207.
Authorization
bearer_auth OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
A unique identifier for a Kubernetes cluster.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Power/lifecycle action to apply to all nodes in a Kubernetes cluster, or to a single node.
Response Body
application/json
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/kubernetes/clusters/0193e8a2-7c4b-7b1e-9f3a-2d5c8e1f0a6b/actions" \ -H "Content-Type: application/json" \ -d '{ "type": "shutdown", "timeout": 10 }'{ "applied": 3, "errors": []}{ "applied": 3, "errors": []}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}